Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040LegalAuthenticator

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040LegalAuthenticatorImpl

    public interface POCDMT000040LegalAuthenticator

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Legal Authenticator'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Time`
- `Signature Code`
- `Assigned Entity`
- `Context Control Code`
- `Null Flavor`
- `Type Code`

See Also:
  `CDAR2Package.getPOCDMT000040LegalAuthenticator()`

Method Summary
`POCDMT000040AssignedEntity` | `getAssignedEntity()` Returns the value of the 'Assigned Entity' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getContextControlCode()` Returns the value of the 'Context Control Code' attribute.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`CS1` | `getSignatureCode()` Returns the value of the 'Signature Code' containment reference.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`TS1` | `getTime()` Returns the value of the 'Time' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getTypeCode()` Returns the value of the 'Type Code' attribute.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetContextControlCode()` Returns whether the value of the '`Context Control Code`' attribute is set.
`boolean` | `isSetTypeCode()` Returns whether the value of the '`Type Code`' attribute is set.
`void` | `setAssignedEntity(POCDMT000040AssignedEntity value)` Sets the value of the '`Assigned Entity`' containment reference.
`void` | `setContextControlCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Context Control Code`' attribute.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setSignatureCode(CS1 value)` Sets the value of the '`Signature Code`' containment reference.
`void` | `setTime(TS1 value)` Sets the value of the '`Time`' containment reference.
`void` | `setTypeCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Type Code`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetContextControlCode()` Unsets the value of the '`Context Control Code`' attribute.
`void` | `unsetTypeCode()` Unsets the value of the '`Type Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040LegalAuthenticator_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040LegalAuthenticator_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040LegalAuthenticator_TemplateId()`

### getTime

    TS1 getTime()

  Returns the value of the 'Time' containment reference.

  If the meaning of the 'Time' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Time' containment reference.
  See Also:
    `setTime(TS1)`, `CDAR2Package.getPOCDMT000040LegalAuthenticator_Time()`

### setTime

    void setTime(TS1 value)

  Sets the value of the '`Time`' containment reference.

  Parameters:
    `value` - the new value of the 'Time' containment reference.
  See Also:
    `getTime()`

### getSignatureCode

    CS1 getSignatureCode()

  Returns the value of the 'Signature Code' containment reference.

  If the meaning of the 'Signature Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Signature Code' containment reference.
  See Also:
    `setSignatureCode(CS1)`, `CDAR2Package.getPOCDMT000040LegalAuthenticator_SignatureCode()`

### setSignatureCode

    void setSignatureCode(CS1 value)

  Sets the value of the '`Signature Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Signature Code' containment reference.
  See Also:
    `getSignatureCode()`

### getAssignedEntity

    POCDMT000040AssignedEntity getAssignedEntity()

  Returns the value of the 'Assigned Entity' containment reference.

  If the meaning of the 'Assigned Entity' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assigned Entity' containment reference.
  See Also:
    `setAssignedEntity(POCDMT000040AssignedEntity)`, `CDAR2Package.getPOCDMT000040LegalAuthenticator_AssignedEntity()`

### setAssignedEntity

    void setAssignedEntity(POCDMT000040AssignedEntity value)

  Sets the value of the '`Assigned Entity`' containment reference.

  Parameters:
    `value` - the new value of the 'Assigned Entity' containment reference.
  See Also:
    `getAssignedEntity()`

### getContextControlCode

    org.eclipse.emf.common.util.Enumerator getContextControlCode()

  Returns the value of the 'Context Control Code' attribute. The default value is `"OP"`.

  If the meaning of the 'Context Control Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context Control Code' attribute.
  See Also:
    `isSetContextControlCode()`, `unsetContextControlCode()`, `setContextControlCode(Enumerator)`, `CDAR2Package.getPOCDMT000040LegalAuthenticator_ContextControlCode()`

### setContextControlCode

    void setContextControlCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Context Control Code`' attribute.

  Parameters:
    `value` - the new value of the 'Context Control Code' attribute.
  See Also:
    `isSetContextControlCode()`, `unsetContextControlCode()`, `getContextControlCode()`

### unsetContextControlCode

    void unsetContextControlCode()

  Unsets the value of the '`Context Control Code`' attribute.

  See Also:
    `isSetContextControlCode()`, `getContextControlCode()`, `setContextControlCode(Enumerator)`

### isSetContextControlCode

    boolean isSetContextControlCode()

  Returns whether the value of the '`Context Control Code`' attribute is set.

  Returns:
    whether the value of the 'Context Control Code' attribute is set.
  See Also:
    `unsetContextControlCode()`, `getContextControlCode()`, `setContextControlCode(Enumerator)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040LegalAuthenticator_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

### getTypeCode

    org.eclipse.emf.common.util.Enumerator getTypeCode()

  Returns the value of the 'Type Code' attribute. The default value is `"LA"`.

  If the meaning of the 'Type Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Code' attribute.
  See Also:
    `isSetTypeCode()`, `unsetTypeCode()`, `setTypeCode(Enumerator)`, `CDAR2Package.getPOCDMT000040LegalAuthenticator_TypeCode()`

### setTypeCode

    void setTypeCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Type Code`' attribute.

  Parameters:
    `value` - the new value of the 'Type Code' attribute.
  See Also:
    `isSetTypeCode()`, `unsetTypeCode()`, `getTypeCode()`

### unsetTypeCode

    void unsetTypeCode()

  Unsets the value of the '`Type Code`' attribute.

  See Also:
    `isSetTypeCode()`, `getTypeCode()`, `setTypeCode(Enumerator)`

### isSetTypeCode

    boolean isSetTypeCode()

  Returns whether the value of the '`Type Code`' attribute is set.

  Returns:
    whether the value of the 'Type Code' attribute is set.
  See Also:
    `unsetTypeCode()`, `getTypeCode()`, `setTypeCode(Enumerator)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD